# openforcefield.topology.Bond

class `openforcefield.topology.``Bond`(atom1, atom2, bond_order, is_aromatic, fractional_bond_order=None, stereochemistry=None)

  Chemical bond representation.

  Warning

  This API is experimental and subject to change.

  Attributes
    atom1, atom2 openforcefield.topology.Atom

      Atoms involved in the bond

    bondtype int

      Discrete bond type representation for the Open Forcefield aromaticity model TODO: Do we want to pin ourselves to a single standard aromaticity model?

    type str

      String based bond type

    order int

      Integral bond order

    fractional_bond_order float, optional

      Fractional bond order, or None.

    .. warning :: This API is experimental and subject to change.

  Methods

  `from_bson`(serialized) | Instantiate an object from a BSON serialized representation.
  `from_dict`(molecule, d) | Create a Bond from a dict representation.
  `from_json`(serialized) | Instantiate an object from a JSON serialized representation.
  `from_messagepack`(serialized) | Instantiate an object from a MessagePack serialized representation.
  `from_pickle`(serialized) | Instantiate an object from a pickle serialized representation.
  `from_toml`(serialized) | Instantiate an object from a TOML serialized representation.
  `from_xml`(serialized) | Instantiate an object from an XML serialized representation.
  `from_yaml`(serialized) | Instantiate from a YAML serialized representation.
  `to_bson`(self) | Return a BSON serialized representation.
  `to_dict`(self) | Return a dict representation of the bond.
  `to_json`(self[, indent]) | Return a JSON serialized representation.
  `to_messagepack`(self) | Return a MessagePack representation.
  `to_pickle`(self) | Return a pickle serialized representation.
  `to_toml`(self) | Return a TOML serialized representation.
  `to_xml`(self[, indent]) | Return an XML representation.
  `to_yaml`(self) | Return a YAML serialized representation.

  `__init__`(self, atom1, atom2, bond_order, is_aromatic, fractional_bond_order=None, stereochemistry=None)

    Create a new chemical bond.

  Methods

  `__init__`(self, atom1, atom2, bond_order, …) | Create a new chemical bond.
  `from_bson`(serialized) | Instantiate an object from a BSON serialized representation.
  `from_dict`(molecule, d) | Create a Bond from a dict representation.
  `from_json`(serialized) | Instantiate an object from a JSON serialized representation.
  `from_messagepack`(serialized) | Instantiate an object from a MessagePack serialized representation.
  `from_pickle`(serialized) | Instantiate an object from a pickle serialized representation.
  `from_toml`(serialized) | Instantiate an object from a TOML serialized representation.
  `from_xml`(serialized) | Instantiate an object from an XML serialized representation.
  `from_yaml`(serialized) | Instantiate from a YAML serialized representation.
  `to_bson`(self) | Return a BSON serialized representation.
  `to_dict`(self) | Return a dict representation of the bond.
  `to_json`(self[, indent]) | Return a JSON serialized representation.
  `to_messagepack`(self) | Return a MessagePack representation.
  `to_pickle`(self) | Return a pickle serialized representation.
  `to_toml`(self) | Return a TOML serialized representation.
  `to_xml`(self[, indent]) | Return an XML representation.
  `to_yaml`(self) | Return a YAML serialized representation.

  Attributes

  `atom1` |
  `atom1_index` |
  `atom2` |
  `atom2_index` |
  `atoms` |
  `bond_order` |
  `fractional_bond_order` |
  `is_aromatic` |
  `molecule` |
  `molecule_bond_index` | The index of this Bond within the the list of bonds in `Molecules`.
  `stereochemistry` |